Subject: Re: bug#20545: New minor mode Electric Punct

From: Paul Eggert <[email-masked]>
Date: Sun, 17 May 2015 09:58:52 -0700

Eli Zaretskii wrote:

 > is set-locale-environment called when a new frame is created?

Yes, but in that case FRAME is non-nil, so this new code isn't executed.  It's 
executed only during startup.

> I think it would be better to install this as a window-specific
> display table, using set-window-display-table, as part of setting up
> the window showing the*Help*  buffer.  WDYT?

Having it be window-specific, or better yet frame-specific, would be an 
improvement, but it shouldn't be limited to *Help* buffers, as other kinds of 
buffers can have curved quotes.

I'm not sure I'd worry about it.  First, the kind of user likely to be running 
multidisplay is not the kind of user likely to be starting up in an obsolescent 
8-bit locale.  Second, if someone really does both things, they'll probably run 
into other problems anyway.  Third, this particular problem, for the rare user 
who runs into it, will be just a minor glitch.